View Issue Details

IDProjectCategoryView StatusLast Update
0000035WackoWikicorepublic2009-08-19 09:39
Reporteradrianw Assigned Toadministrator  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.2 
Target Version4.3.rcFixed in Version4.3.rc 
Summary0000035: Action not updated when a quicklink is added or deleted
DescriptionWhen I click on the action to "Add current page to quicklinks", the page is correctly added to my quicklinks.
The link to the action should then be replaced by "Remove from bookmarks" but this does not happen till I end the session and log in again.
Additional InformationIn classes/wacko.php, in the function SetBookmarks, when the request is "addbookmark" or "removebookmark" the array $_SESSION["bookmarklinks"] is not updated.
I have made a change which works but you may be able to code it a smarter way.
The attached file is the SetBookmarks function extracted from classes/wacko.php and the lines I added are marked with //ADW
TagsNo tags attached.

Activities

2007-08-28 23:32

 

SetBookmark.php (2,868 bytes)

EoNy

2007-08-28 23:33

manager   ~0000028

kukutz
07-03-2005 19:24

    Thank you. I committed it to SVN.
 
adrianw
19-04-2005 23:11

    this fix is not complete in the 4.2 code which I just downloaded.
The second set of three lines which I changed (shown near the end of the attached file) are missing.

administrator

2008-05-16 02:24

administrator   ~0000334

SVNed with Revision 366 - with 3 years overdue ;)

Issue History

Date Modified Username Field Change
2007-08-28 23:32 EoNy New Issue
2007-08-28 23:32 EoNy File Added: SetBookmark.php
2007-08-28 23:33 EoNy Note Added: 0000028
2007-08-29 05:58 administrator Legacy => NPJ
2007-10-15 06:19 administrator Status new => assigned
2007-10-15 06:19 administrator Assigned To => Tann San
2007-12-05 00:21 administrator Reporter EoNy => adrianw
2008-05-16 02:24 administrator Note Added: 0000334
2008-05-16 02:24 administrator Assigned To Tann San => administrator
2008-05-16 02:24 administrator Status assigned => resolved
2008-05-16 02:24 administrator Resolution open => fixed
2008-05-16 02:24 administrator Fixed in Version => 5.0.0
2008-05-16 02:24 administrator Target Version => 5.0.0
2009-08-19 09:22 administrator Fixed in Version 5.0.0 => 4.3.rc
2009-08-19 09:39 administrator Target Version 5.0.0 => 4.3.rc
2010-03-08 10:12 administrator Category Core => core